commit:     1b0c2f134e2582bdb23a1e2f965e865dba1fbe47
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Nov  8 15:14:43 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Nov  8 15:14:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b0c2f13

net-dns/dnssec-root: don't verify signature chain

We are only interested in verifying root-anchors.xml itself.
We do not care about the signature chain.

Closes: https://bugs.gentoo.org/822447
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 net-dns/dnssec-root/dnssec-root-20181220-r1.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/net-dns/dnssec-root/dnssec-root-20181220-r1.ebuild 
b/net-dns/dnssec-root/dnssec-root-20181220-r1.ebuild
index cf7ee395e9e..7e91c6e3c83 100644
--- a/net-dns/dnssec-root/dnssec-root-20181220-r1.ebuild
+++ b/net-dns/dnssec-root/dnssec-root-20181220-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="7"
@@ -36,7 +36,8 @@ src_prepare() {
                openssl smime -verify \
                        -content root-anchors.xml \
                        -in root-anchors.p7s -inform der \
-                       -CAfile icannbundle.pem || die "OpenSSL S/Mime verify 
failed"
+                       -CAfile icannbundle.pem \
+                       -noverify || die "OpenSSL S/Mime verify failed"
        else
                einfo "dev-libs/openssl is not available, skipping optional 
validation root-anchors.xml"
        fi

Reply via email to